{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <title>To do List</title>
</head>

<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name </th>
                        <th>| Number of items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for list in todos %}
                    <tr>
                        <td>{{ list.name }}</td>
                        <td>{{ list.items.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>

</html>